# MSGEN

NAME
SYNOPSIS
DESCRIPTION
AUTHOR
REPORTING BUGS
COPYRIGHT
SEE ALSO

## NAME

| msgen - create English message catalog

## SYNOPSIS

| msgen [OPTION] INPUTFILE

## DESCRIPTION

| Creates an English translation catalog. The input file is the last created English PO file, or a PO Template file (generally created by xgettext). Untranslated entries are assigned a translation that is identical to the msgid.

| Mandatory arguments to long options are mandatory for short options too.

| Input file location:

| INPUTFILE

| input PO or POT file

| -D, --directory=DIRECTORY

| add DIRECTORY to list for input files search

| If input file is -, standard input is read.

| Output file location:

| -o, --output-file=FILE

| write output to specified file

| The results are written to standard output if no output file is specified or if it is -.

| Input file syntax:

| -P, --properties-input

| input file is in Java .properties syntax

| --stringtable-input

| input file is in NeXTstep/GNUstep .strings syntax

| Output details:

| -e, --no-escape

| do not use C escapes in output (default)

| -E, --escape

| use C escapes in output, no extended chars

| --force-po

| write PO file even if empty

| -i, --indent

| indented output style

| --no-location

| suppress '#: filename:line' lines

| --add-location

| preserve '#: filename:line' lines (default)

| --strict

| strict Uniforum output style

| -p, --properties-output

| write out a Java .properties file

| --stringtable-output

| write out a NeXTstep/GNUstep .strings file

| -w, --width=NUMBER

| set output page width

| --no-wrap

| do not break long message lines, longer than the output page width, into several lines

| -s, --sort-output

| generate sorted output

| -F, --sort-by-file

| sort output by file location

| Informative output:

| -h, --help

| display this help and exit

| -V, --version

| output version information and exit

## AUTHOR

| Written by Bruno Haible.

## REPORTING BUGS

| Report bugs to <bug-gnu-gettext@gnu.org>.

## COPYRIGHT

| Copyright 2001-2007 Free Software Foundation, Inc. License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html> This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

## SEE ALSO

| The full documentation for msgen is maintained as a Texinfo manual. If the info and msgen programs are properly installed at your site, the command

| info msgen

| should give you access to the complete manual.